org.eclipse.graphiti.func

## Interface IMoveShape

All Known Subinterfaces:
  IMoveShapeFeature, IPattern

All Known Implementing Classes:
  AbstractMoveShapeFeature, AbstractPattern, DefaultMoveShapeFeature, IdPattern, MoveShapeFeatureForPattern, TypedPattern

    public interface IMoveShape

The Interface IMoveShape.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canMoveShape(IMoveShapeContext context)` Can move shape.
`void` `moveShape(IMoveShapeContext context)` Move shape.

### Method Detail

#### canMoveShape

    boolean canMoveShape(IMoveShapeContext context)

Can move shape.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### moveShape

    void moveShape(IMoveShapeContext context)

Move shape.

Parameters:
  `context` - the context